# webdriverio-js-course

This project is an automated testing project that utilizes WebdriverIO (WDIO) to test the functionality of the Magento Demo website. The purpose of this test is to automate various test cases and perform validation on different features of the website, putting into practice what has been learned throughout the course.

## Project structure
### 🗐 Page Object Pattern
This project utilizes the Page Object Pattern, which is a design pattern used to organize and structure automated tests. It separates the code for interacting with a web page from the code for the tests themselves. This approach makes tests easier to read, maintain, and extend.

### 📁 /pages
- base.page.js

- cart.page.js

- home.page.js

- login.page.js

- product.page.js

- search.page.js
 
- signup.page.js

### 📁/tests
- signup.test.js

- login.test.js

- logout.test.js

- product.search.js

- add.product.cart.test.js

## How to run
### Prerequisites:
Before running the tests, ensure that you have **Google Chrome** installed on your system.
It is required to have the latest version or a version equal to or greater than **114.0**.

To get started with this project, follow the steps below:

1. Clone the repository to your local machine
2. Install the dependencies by running   
```
npm install --force
```
3. Run the test suite by running  
 ```
 npm run test
 ```

### 📚 Allure Report
This project uses the Allure Report to generate an interactive report that provides information about the test results. 
After running the tests, the report can be generated by running the command 
```
allure generate && allure open
```
